<?php 

namespace app\models;

use yii;
use yii\base\Model;
use yii\web\UploadedFile;

class UploadForm extends Model {
    /**
     * @var UploadedFile
     */

    public $img;
    public $file;
    public $pdf;
    
    public function rules() {
        return [
            [
                ['img'], 
                'file', 
                'skipOnEmpty' => true, 
                'extensions' => 'png, jpg',
                'mimeTypes' => 'image/jpeg, image/png'
            ],
            [
                ['file'],
                'file', 
                'skipOnEmpty' => true,
            ],
            [
                ['pdf'], 
                'file', 
                'skipOnEmpty' => true, 
            ],
        ];
    }


    public function attributeLabels() {
        return [
            'img' => Yii::t('app', 'Choose Image'),
            'file' => Yii::t('app', 'Choose File'),
            'pdf' => Yii::t('app', 'Choose PDF'),
        ];
    }
    
    public function upload($model, $type)
    {   
        if($type === 'img') {
            if(empty($this->img)){
                return $model->design_img;
            } 
            if ($this->validate()) {
                $uploadPath = Yii::$app->directories->upload($model);
                $fileName = 'img.'.$this->img->extension;
                if(!is_dir($uploadPath)){
                    mkdir($uploadPath, 0755);
                    $this->img->saveAs($uploadPath.'/'.$fileName);
                    return $fileName;
                } else {
                    $this->img->saveAs($uploadPath.'/'.$fileName);
                    return $fileName;
                }
            }
        }
        if($type === 'file') {
            if(empty($this->file)){
                return $model->design_file;
            } 
            if ($this->validate()) {
                $uploadPath = Yii::$app->directories->upload($model);
                $fileName = 'file.'.$this->file->extension;
                if(!is_dir($uploadPath)){
                    mkdir($uploadPath, 0755);
                    $this->file->saveAs($uploadPath.'/'.$fileName);
                    return $fileName;
                } else {
                    $this->file->saveAs($uploadPath.'/'.$fileName);
                    return $fileName;
                }
            }
        }
        if($type === 'pdf') {
            if(empty($this->pdf)){
                return $model->design_pdf;
            } 
            if ($this->validate()) {
                $uploadPath = Yii::$app->directories->upload($model);
                $fileName = 'pdf.'.$this->pdf->extension;
                if(!is_dir($uploadPath)){
                    mkdir($uploadPath, 0755);
                    $this->pdf->saveAs($uploadPath.'/'.$fileName);
                    return $fileName;
                } else {
                    $this->pdf->saveAs($uploadPath.'/'.$fileName);
                    return $fileName;
                }
            }
        }
    }
}
?>