<?php

use yii\helpers\Html;
use yii\grid\GridView;
use yii\widgets\Pjax;
/* @var $this yii\web\View */
/* @var $searchModel app\models\DesignSearch */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = Yii::$app->controller->action->id === 'my-uploads' ? 'My Uploads' : 'Home';
$this->params['breadcrumbs'][] = $this->title;
// echo '<pre>'; print_r(Yii::$app->controller->action->id); echo '</pre>';
?>
<div class="design-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= 
            Yii::$app->controller->action->id === 'my-uploads' ?
            Html::a('Create Design', ['create'], ['class' => 'btn btn-success']) : '' 
        ?>
    </p>

    <?php Pjax::begin(); ?>
    <?php // echo $this->render('_search', ['model' => $searchModel]); ?>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'filterModel' => $searchModel,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            // 'id',
            
            'design_name',
            'colour_idea',
            'is_deleted',
            //'is_printed',
            //'status',
            //'design_img:ntext',
            //'design_file:ntext',
            //'design_pdf:ntext',
            //'created_at',
            //'created_by',
            //'updated_at',
            //'updated_by',
            [
                'attribute' => 'user_id',
                'label' => 'Uploaded By',
                'visible' => Yii::$app->controller->action->id !== 'my-uploads',
                'value' => function($model){
                    return $model->user->username;
                }
            ],
            [
                'class' => 'yii\grid\ActionColumn',
                'visible' => Yii::$app->controller->action->id !== 'my-uploads',
                'template' => "{view}",
            ],
            [
                'class' => 'yii\grid\ActionColumn',
                'visible' => Yii::$app->controller->action->id === 'my-uploads'
            ],
        ],
    ]); ?>

    <?php Pjax::end(); ?>

</div>
