<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\Design */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Designs', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
\yii\web\YiiAsset::register($this);
?>
<div class="design-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'user_id',
            'design_name',
            'colour_idea',
            'is_deleted',
            'is_printed',
            'status',
            [
                'attribute' => 'design_img',
                'format' => 'raw',
                'value' => function($model){
                    $link = Yii::$app->directories->getFiles($model, 'img');
                    if($link) {
                        $img = '<div class="row">';
                        $img .= '<div class="col-md-12">';
                        $img .= Html::img(Yii::$app->directories->getFiles($model, 'img'), [
                            'style' => 'width:auto; max-height: 100px;',
                            'alt' => 'Image'
                        ]);
                        $img .= '</div>';
                        $img .= '<div class="col-md-12">';
                        $img .= '<a href="'.$link.'" target="_blank">Download Img</a>';
                        $img .= '</div>';
                        
                        return $img;
                    } 
                    return $link;
                }
            ],
            [
                'attribute' => 'design_file',
                'format' => 'raw',
                'value' => function($model){
                    $link = Yii::$app->directories->getFiles($model, 'file');
                    if($link) {
                        return '<a href="'.$link.'" target="_blank">Download File</a>';
                    } 
                    return $link;
                }
            ],
            [
                'attribute' => 'design_pdf',
                'format' => 'raw',
                'value' => function($model){
                    $link = Yii::$app->directories->getFiles($model, 'pdf');
                    if($link) {
                        return '<a href="'.$link.'" target="_blank">Download PDF</a>';
                    } 
                    return $link;
                }
            ],
            'created_at',
            'created_by',
            'updated_at',
            'updated_by',
        ],
    ]) ?>

</div>
